Subject: bug#14910: org-mode `org-open-at-point' doesn't follow id links

From: Oleh Krehel <[email-masked]>
Date: Mon, 22 Jul 2013 11:27:50 +0200

Hi Bastien,

> please make sure to send your replies on the list, you'll get a
> quicker answer.
Thanks for reminding, I keep forgetting.

> As for requiring org-id for `org-open-at-point', I'm not sure this
> is the right thing to do since it will require it for all users, even
> those who don't use org-id at all.
I understand that you don't want to bloat the loaded code, but the current
behavior isn't optimal:
* I open a file with a link [[id:58cc1851-c36a-452a-82e1-0b9ecde1c472][foo]]
* I click the link and get the message
  "No match. Create this as a new heading?" And on "y" it proceeds to create it.
  In the same file that I asked it to find it.
  Just a few lines above the actual reference. That's not very smart.

If there's a link in the file, it points somewhere in 99% cases.
And currently the program assumes implicitly that stupid user clicked on a
dangling link and rushes to correct him before even looking in the
same file if the requested sequence of 36 chars (pretty unique) is
actually there.

The issue is that the current solution isn't portable.
I've sent last week an org file to a new org-mode user with id links.
And he says that they don't work.
He's not experienced in elisp, so it's hard for me to explain to him
that he has to include (require 'org-id) in his ~/.emacs to make links work.
In my opinion it would be best to require 'org-id implicitly so that
the links work the same for all users.

Imagine that I've sent him a pdf with links that don't work
and then I told him that he needs to install some specific software
from who knows where just to make the pdf links work.

regards,
Oleh